curl --request GET \
--url https://api.rewind.rest/v1/reading/year/{year} \
--header 'Authorization: Bearer <token>'{
"year": 2025,
"total_articles": 482,
"finished_count": 301,
"total_highlights": 128,
"total_word_count": 1540000,
"top_domains": [
{
"domain": "theatlantic.com",
"count": 32
},
{
"domain": "wired.com",
"count": 28
}
],
"top_tags": [
{
"tag": "technology",
"count": 89
},
{
"tag": "culture",
"count": 54
}
],
"monthly": [
{
"month": "2025-01",
"saved": 45,
"finished": 28
},
{
"month": "2025-02",
"saved": 38,
"finished": 22
}
]
}Returns year-in-review reading data.
curl --request GET \
--url https://api.rewind.rest/v1/reading/year/{year} \
--header 'Authorization: Bearer <token>'{
"year": 2025,
"total_articles": 482,
"finished_count": 301,
"total_highlights": 128,
"total_word_count": 1540000,
"top_domains": [
{
"domain": "theatlantic.com",
"count": 32
},
{
"domain": "wired.com",
"count": 28
}
],
"top_tags": [
{
"tag": "technology",
"count": 89
},
{
"tag": "culture",
"count": 54
}
],
"monthly": [
{
"month": "2025-01",
"saved": 45,
"finished": 28
},
{
"month": "2025-02",
"saved": 38,
"finished": 22
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
"2025"
Year in review data